# frozen_string_literal: true
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require_relative "lib/watchcow/version"

Gem::Specification.new do |spec|
  spec.name          = "watchcow"
  spec.version       = Watchcow::VERSION
  spec.authors       = ["DrinE Liu"]
  spec.email         = ["drineliu@gmail.com"]
  spec.summary       = "The margin watcher"
  spec.description   = "The margin watcher"
  spec.homepage      = "https://rubygems.org/gems"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.2.2")

  spec.metadata["homepage_uri"] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  # spec.add_dependency "example-gem", "~> 1.0"

  spec.add_dependency "httparty", '~> 0.14', ">= 0.14.0"
  # spec.add_dependency "redis", '~> 3.3', ">= 3.3.5"
  # spec.add_dependency "sidekiq", '~> 5.2', ">= 5.2.9"
  spec.add_dependency "pry-rails", "~> 0.3.9"
  
  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
